| AI Engine-ML Intrinsics User Guide (v2025.2)

Loading...
Searching...
No Matches
Functions
Extract sparsity and data from sparse vector
Vector Conversions » Extract vector

## Overview

Intrinsics allowing you to extract the sparsity mask and data from a sparse vector.

## Functions
v64int8 | extract_sparse_data (v128int8_sparse v)
v64uint8 | extract_sparse_data (v128uint8_sparse v)
v128int4 | extract_sparse_data (v256int4_sparse v)
v128uint4 | extract_sparse_data (v256uint4_sparse v)
v32bfloat16 | extract_sparse_data (v64bfloat16_sparse v)
v32int16 | extract_sparse_data (v64int16_sparse v)
v32uint16 | extract_sparse_data (v64uint16_sparse v)
sparsity_t | extract_sparsity (v128int8_sparse v)
sparsity_t | extract_sparsity (v128uint8_sparse v)
sparsity_t | extract_sparsity (v256int4_sparse v)
sparsity_t | extract_sparsity (v256uint4_sparse v)
sparsity_t | extract_sparsity (v64bfloat16_sparse v)
sparsity_t | extract_sparsity (v64int16_sparse v)
sparsity_t | extract_sparsity (v64uint16_sparse v)
v128int4 | extract_v128int4 (v256int4_sparse v)
v128uint4 | extract_v128uint4 (v256uint4_sparse v)
v32bfloat16 | extract_v32bfloat16 (v64bfloat16_sparse v)
v32int16 | extract_v32int16 (v64int16_sparse v)
v32uint16 | extract_v32uint16 (v64uint16_sparse v)
v64int8 | extract_v64int8 (v128int8_sparse v)
v64uint8 | extract_v64uint8 (v128uint8_sparse v)

## Function Documentation

## ◆ extract_sparse_data() [1/7]

v64int8 extract_sparse_data | ( | v128int8_sparse | v | ) |

## ◆ extract_sparse_data() [2/7]

v64uint8 extract_sparse_data | ( | v128uint8_sparse | v | ) |

## ◆ extract_sparse_data() [3/7]

v128int4 extract_sparse_data | ( | v256int4_sparse | v | ) |

## ◆ extract_sparse_data() [4/7]

v128uint4 extract_sparse_data | ( | v256uint4_sparse | v | ) |

## ◆ extract_sparse_data() [5/7]

v32bfloat16 extract_sparse_data | ( | v64bfloat16_sparse | v | ) |

## ◆ extract_sparse_data() [6/7]

v32int16 extract_sparse_data | ( | v64int16_sparse | v | ) |

## ◆ extract_sparse_data() [7/7]

v32uint16 extract_sparse_data | ( | v64uint16_sparse | v | ) |

## ◆ extract_sparsity() [1/7]

sparsity_t extract_sparsity | ( | v128int8_sparse | v | ) |

## ◆ extract_sparsity() [2/7]

sparsity_t extract_sparsity | ( | v128uint8_sparse | v | ) |

## ◆ extract_sparsity() [3/7]

sparsity_t extract_sparsity | ( | v256int4_sparse | v | ) |

## ◆ extract_sparsity() [4/7]

sparsity_t extract_sparsity | ( | v256uint4_sparse | v | ) |

## ◆ extract_sparsity() [5/7]

sparsity_t extract_sparsity | ( | v64bfloat16_sparse | v | ) |

## ◆ extract_sparsity() [6/7]

sparsity_t extract_sparsity | ( | v64int16_sparse | v | ) |

## ◆ extract_sparsity() [7/7]

sparsity_t extract_sparsity | ( | v64uint16_sparse | v | ) |

## ◆ extract_v128int4()

v128int4 extract_v128int4 | ( | v256int4_sparse | v | ) |

## ◆ extract_v128uint4()

v128uint4 extract_v128uint4 | ( | v256uint4_sparse | v | ) |

## ◆ extract_v32bfloat16()

v32bfloat16 extract_v32bfloat16 | ( | v64bfloat16_sparse | v | ) |

## ◆ extract_v32int16()

v32int16 extract_v32int16 | ( | v64int16_sparse | v | ) |

## ◆ extract_v32uint16()

v32uint16 extract_v32uint16 | ( | v64uint16_sparse | v | ) |

## ◆ extract_v64int8()

v64int8 extract_v64int8 | ( | v128int8_sparse | v | ) |

## ◆ extract_v64uint8()

v64uint8 extract_v64uint8 | ( | v128uint8_sparse | v | ) |